# I3DRenderingCallbacks Struct Reference
[External Interfaces]

Inheritance diagram for I3DRenderingCallbacks:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | UpdateProgress (real progress, real progressMax)=0
virtual MCCOMErr MCCOMAPI | RectCompleted (const TMCRect &rect)=0
virtual MCCOMErr MCCOMAPI | BeginAnimation ()=0
virtual MCCOMErr MCCOMAPI | EndAnimation ()=0
virtual MCCOMErr MCCOMAPI | BeginFrame (uint32 frameNumber)=0
virtual MCCOMErr MCCOMAPI | EndFrame (uint32 frameNumber)=0
virtual MCCOMErr MCCOMAPI | BeginRendering ()=0
virtual MCCOMErr MCCOMAPI | EndRendering ()=0
virtual void MCCOMAPI | SetRenderHelper (I3DRenderHelper *renderHelper)=0

## Detailed Description

This interface is used in connection with I3DRenderHelper. You can derive your own class from this interface and pass it to I3DRenderHelper::RenderArea to get callbacks. To make it easier you can derive from TCountedRenderingCallbacks that provides a default implementation for most of the methods.

Returning an error within these calls will abort the rendering.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::BeginAnimation | ( |  | ) | `[pure virtual]`

Called at the begining of the rendering of an animation.

Implemented in TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::BeginFrame | ( | uint32 | frameNumber | ) | `[pure virtual]`

Called at the beginning of the rendering of one frame.

Parameters:

  | frameNumber | The number of the frame.

Implemented in TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::BeginRendering | ( |  | ) | `[pure virtual]`

Called at the beginning of the rendering.

Implemented in TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::EndAnimation | ( |  | ) | `[pure virtual]`

Called at the end of the rendering of an animation.

Implemented in TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::EndFrame | ( | uint32 | frameNumber | ) | `[pure virtual]`

Called at the end of the rendering of one frame.

Parameters:

  | frameNumber | The number of the frame.

Implemented in TBasicPreviewCallbacks, and TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::EndRendering | ( |  | ) | `[pure virtual]`

Called at the emd of the rendering.

Implemented in TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::RectCompleted | ( | const TMCRect & | rect | ) | `[pure virtual]`

Called each time a tile is completely rendered.

Parameters:

  | rect | The rectangle of the tile in the image in pixels.

Implemented in TBasicPreviewCallbacks, and TCountedRenderingCallbacks.

virtual void MCCOMAPI I3DRenderingCallbacks::SetRenderHelper | ( | I3DRenderHelper * | renderHelper | ) | `[pure virtual]`

Sets the renderHelper used for the current rendering

Implemented in TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI I3DRenderingCallbacks::UpdateProgress | ( | real | progress,
|  | real | progressMax |
| ) |  |  | `[pure virtual]`

Called each time the rendering progress bar should be updated.

Parameters:

  | progress | Between 0 and progressMax.
  | progressMax | The value of the progres when the rendering is finished.

Implemented in TBasicPreviewCallbacks, and TCountedRenderingCallbacks.

The documentation for this struct was generated from the following file:

- I3DRenderingModule.h